Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 588011 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:303f118fea0a7c35b8e7b449c62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 01:53 EDT by robert fairb
Modified: 2010-12-03 10:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:12:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.04 KB, text/plain)
2010-05-02 01:53 EDT, robert fairb
no flags Details

  None (edit)
Description robert fairb 2010-05-02 01:53:50 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
comment: web browsers often crash when viewing survalence cameras on public web servers
component: firefox
executable: /usr/lib/firefox-3.5/firefox
global_uuid: 303f118fea0a7c35b8e7b449c62ca6ae724a19d5
kernel: 2.6.32.11-99.fc12.i686
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.i went to google.ca 
2.i searched for websites that host survalence cameras as publick websites by searcing inurl:view/index.shtml
3.then i left the tab open and went to find twhere it was on google earth
Comment 1 robert fairb 2010-05-02 01:53:52 EDT
Created attachment 410764 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-08 09:22:33 EDT
Thread 1 (Thread 5502):
#0  0x00214416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00dd3000 in raise (sig=11)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = <value optimized out>
#2  0x03a424f3 in nsProfileLock::FatalSignalHandler (signo=11)
    at nsProfileLock.cpp:212
        unblock_sigs = {__val = {1024, 0 <repeats 31 times>}}
        oldact = <value optimized out>
#3  <signal handler called>
No symbol table info available.
#4  0x003752b4 in IA__g_type_check_instance_is_a (type_instance=0xa93e77f0, 
    iface_type=80) at gtype.c:3697
        node = 0x89ffffec
        iface = 0xb7603164
        check = 7602280
#5  0x0035c9c6 in IA__g_object_ref (_object=0xa93e77f0) at gobject.c:2384
        __inst = 0xa93e77f0
        __r = <value optimized out>
        _g_boolean_var_ = <value optimized out>
        object = 0xa93e77f0
        old_val = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_object_ref"
#6  0x00162767 in IA__g_slist_foreach (list=<value optimized out>, func=
    0x35c990 <IA__g_object_ref>, user_data=0x0) at gslist.c:743
        next = 0xaa360cd8 = {0xaa5145e0, 0xa99d9df0, 0xa99d9df0, 0xaa15b190, 
    0xaa15b5b0, 0xaa15b9d0, 0xaa15bdf0}
#7  0x008466a4 in IA__gdk_window_process_all_updates () at gdkwindow.c:5427
        old_update_windows = 0xa9dac5d0 = {0xb3e6b3a0, 0xa93e87c0, 
    0xa93e77f0, 0xaa5145e0, 0xa99d9df0, 0xa99d9df0, 0xaa15b190, 0xaa15b5b0, 
    0xaa15b9d0, 0xaa15bdf0}
        tmp_list = 0xa9dac5d0 = {0xb3e6b3a0, 0xa93e87c0, 0xa93e77f0, 
    0xaa5145e0, 0xa99d9df0, 0xa99d9df0, 0xaa15b190, 0xaa15b5b0, 0xaa15b9d0, 
    0xaa15bdf0}
        in_process_all_updates = 1
        got_recursive_update = 0
#8  0x008467ec in gdk_window_update_idle (data=0x0) at gdkwindow.c:5065
No locals.
#9  0x0081e698 in gdk_threads_dispatch (data=0xa9b65ef0) at gdk.c:506
        dispatch = 0xa9b65ef0
        ret = 0
#10 0x001411a2 in g_idle_dispatch (source=0xa9902380, callback=
    0x81e630 <gdk_threads_dispatch>, user_data=0xa9b65ef0) at gmain.c:4065
No locals.
#11 0x00142fb8 in g_main_dispatch (context=0xb764f500) at gmain.c:1960
        dispatch = 0x141180 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0xa9b65ef0
        callback = 0x81e630 <gdk_threads_dispatch>
        cb_funcs = 0x1f44bc
        cb_data = 0xa9d051b0
        current_source_link = {data = 0xa9902380, next = 0x0}
        source = 0xa9902380
        current = 0xb4c884f0
        i = <value optimized out>
#12 IA__g_main_context_dispatch (context=0xb764f500) at gmain.c:2513
No locals.
#13 0x001468e8 in g_main_context_iterate (context=0xdcdeb0, block=1, dispatch=
    1, self=0xb76136d0) at gmain.c:2591
        max_priority = 120
        timeout = 0
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = 0xa6b23880
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#14 0x00146a14 in IA__g_main_context_iteration (context=0xb764f500, may_block=
    1) at gmain.c:2654
        retval = 20
#15 0x042196e5 in nsAppShell::ProcessNextNativeEvent (this=0xb4c491f0, 
    mayWait=1) at nsAppShell.cpp:147
No locals.
#16 0x0422d96e in nsBaseAppShell::DoProcessNextNativeEvent (this=0xb4c491f0, 
    mayWait=1) at nsBaseAppShell.cpp:151
        prevVal = eEventloopNone
        result = 7602280
#17 0x0422db13 in nsBaseAppShell::OnProcessNextEvent (this=0xb4c491f0, thr=
    0xb766a790, mayWait=1, recursionDepth=0) at nsBaseAppShell.cpp:296
        start = 1468810829
        limit = 20
        oldBlockedWait = 0x0
        needEvent = 1
#18 0x042e2dd0 in nsThread::ProcessNextEvent (this=0xb766a790, mayWait=1, 
    result=0xbf90fb4c) at nsThread.cpp:508
        notifyGlobalObserver = 1
        obs = {<nsCOMPtr_base> = {mRawPtr = 0xb4c491f4}, <No data fields>}
        event = {<nsCOMPtr_base> = {mRawPtr = 0xa6fa4cc0}, <No data fields>}
        rv = <value optimized out>
#19 0x042b194a in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=1) at nsThreadUtils.cpp:247
        val = 1
#20 0x0422dc20 in nsBaseAppShell::Run (this=0xb4c491f0)
    at nsBaseAppShell.cpp:170
        thread = 0xb766a790
#21 0x040e2dbf in nsAppStartup::Run (this=0xb4cb0910) at nsAppStartup.cpp:193
        rv = <value optimized out>
#22 0x03a3c782 in XRE_main (argc=1, argv=0xbf914234, aAppData=0xb7621680)
    at nsAppRunner.cpp:3321
        remoteService = {<nsCOMPtr_base> = {mRawPtr = 
    0xb3f36d80}, <No data fields>}
        appStartup = {<nsCOMPtr_base> = {mRawPtr = 
    0xb4cb0910}, <No data fields>}
        shuttingDown = 0
        workingDir = {<nsCOMPtr_base> = {mRawPtr = 
    0xb7174400}, <No data fields>}
        cmdLine = {<nsCOMPtr_base> = {mRawPtr = 0xb4cdb220}, <No data fields>}
        toolkit = {mRawPtr = 0x0}
        xpcom = {mServiceManager = 0xb767d344}
        desktopStartupIDEnv = 0xb3f36d80 "\210F\260\004\254F\260\004\004"
        updRoot = {<nsCOMPtr_base> = {mRawPtr = 0xb764f280}, <No data fields>}
        persistent = 1
        profLD = {<nsCOMPtr_base> = {mRawPtr = 0xb764f880}, <No data fields>}
        dirProvider = {<nsIDirectoryServiceProvider2> = 
    {<nsIDirectoryServiceProvider> = {<nsISupports> = {_vptr.nsISupports = 
    0x4a4f0c8}, <No data fields>}, <No data fields>}, <nsIProfileStartup> = 
    {<nsISupports> = {_vptr.nsISupports = 0x4a4f0ec}, <No data fields>}, 
          mAppProvider = {<nsCOMPtr_base> = {mRawPtr = 
    0x0}, <No data fields>}, mGREDir = {<nsCOMPtr_base> = {mRawPtr = 
    0xb764f300}, <No data fields>}, mXULAppDir = {<nsCOMPtr_base> = {
              mRawPtr = 0xb764f280}, <No data fields>}, mProfileDir = 
    {<nsCOMPtr_base> = {mRawPtr = 0xb764f800}, <No data fields>}, 
          mProfileLocalDir = {<nsCOMPtr_base> = {mRawPtr = 
    0xb764f880}, <No data fields>}, mProfileNotified = 1 '\001', 
          mExtensionsLoaded = 1 '\001', mAppBundleDirectories = 
    {<nsCOMArray_base> = {mArray = {mImpl = 0x0}}, <No data fields>}, 
          mExtensionDirectories = {<nsCOMArray_base> = {mArray = {mImpl = 
    0xb7653200}}, <No data fields>}, mThemeDirectories = {<nsCOMArray_base> = 
    {mArray = {mImpl = 0xb76b8250}}, <No data fields>}}
        desktopStartupIDPtr = <value optimized out>
        nativeApp = {<nsCOMPtr_base> = {mRawPtr = 
    0xb761cc40}, <No data fields>}
        startOffline = 0
        profileName = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0xbf90fef8 "default", mLength = 7, 
                mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0xbf90fef8 "default"}, mStorage = 
    "default\000+\231-\004\244\300\260\004H\377\220\277\336_?\003\210\362d\267\244\300\260\004h\377\220\277\016`?\003\b\363d\267\300\000\221\277X\377\220\277\252\177]\000\371_?\003\244\300\260\004"}
        upgraded = 69844138
        versionOK = -1275892352
        appInitiatedRestart = 0
        desktopStartupID = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0xbf90ff4c "", mLength = 0, mFlags = 
    65553}, <No data fields>}, mFixedCapacity = 63, mFixedBuf = 
    0xbf90ff4c ""}, mStorage = 
    "\000\300\260\004\000\363d\267\300\000\221\277\210\377\220\277{p-\004(\344/\004\330\301\005\b\210\377\220\277%\323/\004\334\020\221\277\001\000\000\000\034p-\004\330\301\005\b4B\221\277\300\000\221\277\250\377\220\277"}
        display_name = <value optimized out>
        xremotearg = <value optimized out>
        _g_set_application_name = <value optimized out>
        canRun = 1
        profileLock = {<nsCOMPtr_base> = {mRawPtr = 
    0xb76ae310}, <No data fields>}
        profD = {<nsCOMPtr_base> = {mRawPtr = 0xb764f800}, <No data fields>}
        version = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = 
    {mData = 0xbf90fea4 "3.5.9_20100330072034/20100330072034", mLength = 35, 
                mFlags = 65553}, <No data fields>}, mFixedCapacity = 63, 
            mFixedBuf = 0xbf90fea4 "3.5.9_20100330072034/20100330072034"}, 
          mStorage = 
    "3.5.9_20100330072034/20100330072034\000\334\020\221\277\002\000\000\000\000\000\000\000\244\300\260\004\213E\005\b\330\301\005\bx\000\000"}
        needsRestart = 0
        display = 0xb7685140 [GdkDisplayX11]
        _gtk_window_set_auto_startup_notification = <value optimized out>
        osABI = {<nsCString> = {<nsACString_internal> = {mData = 
    0x4350943 "Linux_x86-gcc3", mLength = 14, mFlags = 
    1}, <No data fields>}, <No data fields>}
        rv = 0
        gtkModules = <value optimized out>
        appData = {<nsXREAppData> = {size = 56, ry = 0xb764f280, vendor = 
    0xb761c0e8 "Mozilla", name = 0xb761c0f0 "Firefox", version = 
    0xb761c0f8 "3.5.9", buildID = 0xb7611310 "20100330072034", ID = 
    0xb7613610 "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}", copyright = 
    0xb7613640 "Copyright (c) 1998 - 2010 mozilla.org", flags = 6, 
            xreDirectory = 0xb764f300, minVersion = 0xb761c100 "1.9.1.9", 
            maxVersion = 0xb761c108 "1.9.1.9", crashReporterURL = 
    0xb7613670 "https://crash-reports.mozilla.com/submit", profile = 
    0x0}, <No data fields>}
        localIniFile = {<nsCOMPtr_base> = {mRawPtr = 
    0xb764f380}, <No data fields>}
        parser = {mSections = 
    {<nsBaseHashtable<nsDepCharHashKey, nsAutoPtr<nsINIParser_internal::INIValue>, nsINIParser_internal::INIValue*>> = 
    {<nsTHashtable<nsBaseHashtableET<nsDepCharHashKey, nsAutoPtr<nsINIParser_internal::INIValue> > >> = {mTable = {ops = 0x4b23f1c, data = 0x0, hashShift = 
    28, maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', entrySize = 12, 
                  entryCount = 1, removedCount = 0, generation = 0, 
                  entryStore = 
    0xb7606240 ""}}, <No data fields>}, <No data fields>}, mFileContents = {
            mRawPtr = 0xb76216c0 "[Build"}}
        ar = <value optimized out>
        override = 0x0
        iniFile = {<nsCOMPtr_base> = {mRawPtr = 0xb764f380}, <No data fields>}
        i = <value optimized out>
#23 0x08049e7c in main (argc=1, argv=0xbf914234) at nsXULStub.cpp:482
        iniFile = {<nsCOMPtr_base> = {mRawPtr = 0xb764f200}, <No data fields>}
        appData = {mAppData = 0xb7621680}
        rv = 0
        lastSlash = <value optimized out>
        iniPath = 
    "/usr/lib/firefox-3.5/application.ini", '\000' <repeats 4059 times>
        greDir = 
    "/usr/lib/xulrunner-1.9.1\000libxpcom.so", '\000' <repeats 4059 times>
        parser = {mSections = 
    {<nsBaseHashtable<nsDepCharHashKey, nsAutoPtr<nsINIParser::INIValue>, nsINIParser::INIValue*>> = 
    {<nsTHashtable<nsBaseHashtableET<nsDepCharHashKey, nsAutoPtr<nsINIParser::INIValue> > >> = {mTable = {ops = 0x805c314, data = 0x0, hashShift = 28, 
                  maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', 
                  entrySize = 12, entryCount = 4, removedCount = 0, 
                  generation = 0, entryStore = 
    0xb76060c0 ""}}, <No data fields>}, <No data fields>}, mFileContents = {
            mRawPtr = 0xb7609800 "; ***** BEGIN LICENSE BLOCK *****"}}
        kXULFuncs = {{functionName = 0x8056558 "XRE_CreateAppData", 
            function = 0x805c388}, {functionName = 
    0x805656a "XRE_FreeAppData", function = 0x805c38c}, {functionName = 
    0x805657a "XRE_main", function = 0x805c390}, {functionName = 0x0, 
            function = 0x0}}
        retval = -1080999372
        greFound = 0
        appDataFile = <value optimized out>
        tmpPath = '\000' <repeats 4095 times>
        fileStat = {st_dev = 64769, __pad1 = 0, st_ino = 10963, st_mode = 
    33261, st_nlink = 1, st_uid = 0, st_gid = 0, st_rdev = 0, __pad2 = 0, 
          st_size = 90148, st_blksize = 4096, st_blocks = 184, st_atim = {
            tv_sec = 1272773462, tv_nsec = 59875636}, st_mtim = {tv_sec = 
    1270539809, tv_nsec = 0}, st_ctim = {tv_sec = 1272598973, tv_nsec = 
    846157844}, __unused4 = 0, __unused5 = 0}



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2010-11-03 11:51:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 10:12:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.